--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Return array of records (Structs) to be updated, in this case all records.
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*updates*:"
    body: Hash or Struct containing updates.
  type: :NOTE
full_name: KirbyBase::KBTable#update_all
is_singleton: false
name: update_all
params: (*updates, &update_proc)
visibility: public
